haveibeenpwnd 0.2.1

Provides a client for the Have I Been Pwnd API
docs.rs failed to build haveibeenpwnd-0.2.1
Please check the build logs for more information.
See Builds for ideas on how to fix a failed build, or Metadata for how to configure docs.rs builds.
If you believe this is docs.rs' fault, open an issue.
Visit the last successful build: haveibeenpwnd-0.2.0

haveibeenpwnd

A client for the Have I Been Pwned? API v2 for Rust

API reference


  let client = Clientv2::new("test-rust-client");

  let r = client.get_breaches_acct("test@example.com")
                .send()
                .unwrap();

  let r = client.get_breaches()
                .send()
                .unwrap();


  let r = client.get_data_classes().send().unwrap();

  let r = client.get_pastes("test@example.com").send().unwrap();